%define name dirac
%define version 1.0.2
%define release %mkrel 7
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define staticname %mklibname -s -d %name

Summary: Video Codec based on Wavelets
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%name/%{name}-%{version}.tar.gz
Patch: dirac-0.7.0-werror.patch
Patch1: dirac-1.0.2-backports.patch
License: MPLv1.1
Group: Video/Editors and Converters
Url: http://sf.net/projects/dirac
BuildRequires: doxygen
BuildRequires: texlive
BuildRequires: libcppunit-devel

%description
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artefacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n %libname
Group: System/Libraries
Summary: Shared library of the Dirac Video codec
Obsoletes: %{_lib}dirac0.1 < 1.0.2-4

%description -n %libname
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artefacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n %develname
Group: Development/C++
Summary: Development files of the Dirac Video codec
Requires: %libname = %version
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel %mklibname -d %name 0.1

%description -n %develname
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artefacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n %staticname
Group: Development/C++
Summary: Static libraries of the Dirac Video codec
Requires: %develname = %version
Provides: lib%name-static-devel = %version-%release

%description -n %staticname
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artefacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package utils
Group: Video/Editors and Converters
Summary: Example encoder and decoder for the Dirac video codec

%description utils
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artefacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.


%prep
%setup -q
%patch -p1
%patch1 -p0

%build
./bootstrap
%configure2_5x --disable-static
%make

%install
%makeinstall_std
mv %buildroot%_datadir/doc installed-docs
#gw don't package unit tests
rm -fv %buildroot%_bindir/dirac_unittest
rm -f %{buildroot}%{_libdir}/*.la

%files utils
%doc README TODO AUTHORS
%_bindir/dirac*
%_bindir/BMPtoRGB
%_bindir/RGB*
%_bindir/UYVYtoRGB
%_bindir/UYVYtoYUV422
%_bindir/YUV*
%_bindir/create_dirac_testfile.pl

%files -n %libname
%_libdir/libdirac*.so.0*

%files -n %develname
%_includedir/%{name}
%_libdir/libdirac*.so
%doc installed-docs/*
%_libdir/pkgconfig/dirac.pc


%changelog

* Sat Jan 19 2013 fwang <fwang> 1.0.2-7.mga3
+ Revision: 389724
- drop .la file
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 30 2011 ahmad <ahmad> 1.0.2-6.mga2
+ Revision: 78973
- replace tetex BR with texlive

* Tue Jan 25 2011 ahmad <ahmad> 1.0.2-5.mga1
+ Revision: 39620
- drop old/unneeded scriptlets
- imported package dirac

